var __defProp = Object.defineProperty;
var __markAsModule = (target) => __defProp(target, "__esModule", {value: true});
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, {get: all[name], enumerable: true});
};

// src/functions/NightyNightForAsg.lambda.ts
__markAsModule(exports);
__export(exports, {
  handler: () => handler
});
var AWS = require("aws-sdk");
var asg = new AWS.AutoScaling();
var {AUTO_SCALING_GROUP_NAME: autoScalingGroupName, DESIRED_CAPACITY: desiredCapacity} = process.env;
var handler = async (event) => {
  console.log({event});
  console.log({autoScalingGroupName, desiredCapacity});
  console.log("Getting instance details");
  let params = {
    AutoScalingGroupName: autoScalingGroupName,
    DesiredCapacity: parseInt(desiredCapacity),
    HonorCooldown: true
  };
  await asg.setDesiredCapacity(params).promise();
  let now = new Date().toISOString();
  console.log(`Scaled ASG ${autoScalingGroupName} to ${desiredCapacity} at ${now}`);
};
