var __defProp = Object.defineProperty;
var __markAsModule = (target) => __defProp(target, "__esModule", {value: true});
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, {get: all[name], enumerable: true});
};

// src/functions/NightyNightForEc2.lambda.ts
__markAsModule(exports);
__export(exports, {
  handler: () => handler
});
var AWS = require("aws-sdk");
var ec2 = new AWS.EC2();
var instanceId = process.env.INSTANCE_ID;
var filters = process.env.INSTANCE_FILTERS;
var handler = async (event) => {
  console.log({event});
  console.log({instanceId, filters});
  if (!instanceId && !filters) {
    console.error("You must have either an INSTANCE_ID or INSTANCE_TAGS in your environment variables.");
  }
  console.log("Getting instance details");
  let params = {
    InstanceIds: []
  };
  if (instanceId) {
    params.InstanceIds.push(instanceId);
  } else if (filters) {
    params.Filters = JSON.parse(filters);
  }
  const {
    Reservations: [{Instances: [instanceDetails]}]
  } = await ec2.describeInstances(params).promise();
  console.log({instanceDetails});
  if (!instanceDetails) {
    throw new Error("Couldn't find instance details. Weird... if the instance was terminated, this app should be ");
  }
  if (instanceDetails.State.Name === "running") {
    console.log("stopping the instance");
    await ec2.stopInstances(params).promise();
    let now = new Date().toISOString();
    console.log(`Stopped instance ${instanceId} at ${now}`);
  }
};
