var __defProp = Object.defineProperty;
var __markAsModule = (target) => __defProp(target, "__esModule", {value: true});
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, {get: all[name], enumerable: true});
};

// src/functions/WakeyWakeyForRds.lambda.ts
__markAsModule(exports);
__export(exports, {
  handler: () => handler
});
var AWS = require("aws-sdk");
var rds = new AWS.RDS();
var dbInstanceIdentifier = process.env.DB_INSTANCE_IDENTIFIER;
var handler = async (event) => {
  console.log({event});
  console.log({dbInstanceIdentifier});
  console.log("Getting instance details");
  let params = {
    DBInstanceIdentifier: dbInstanceIdentifier
  };
  const {
    DBInstances: [instanceDetails]
  } = await rds.describeDBInstances(params).promise();
  console.log({instanceDetails});
  if (!instanceDetails) {
    throw new Error("Couldn't find instance details. Weird... if the instance was terminated, this app should be too");
  }
  if (instanceDetails.DBInstanceStatus === "stopped") {
    console.log("starting the instance");
    await rds.startDBInstance({DBInstanceIdentifier: dbInstanceIdentifier}).promise();
    let now = new Date().toISOString();
    console.log(`Started instance ${dbInstanceIdentifier} at ${now}`);
  } else {
    console.warn(`Not starting instance because the status is: ${instanceDetails.DBInstanceStatus}`);
  }
};
